require_relative '../../../spec/spec_helper'

class DummyParser < Parslet::Parser
  include DDLParser::SharedRules::DataTypes
end

describe DDLParser::SharedRules::DataTypes do
  let(:parser) { DummyParser.new }

  it 'parses data types' do
    parser.data_type.parse('smallint').should       == {:data_type=> 'smallint'}
    parser.data_type.parse('int').should            == {:data_type=> 'int'}
    parser.data_type.parse('decimal(1,2)').should   == {:data_type=>{:decimal=>{:precision => {:total=>{:integer=> '1'}, :scale=>{:integer=> '2'}}}}}
    parser.data_type.parse('decimal(1)').should   == {:data_type=>{:decimal=>{:precision => {:total=>{:integer=> '1'}}}}}
    parser.data_type.parse('decimal').should   == {:data_type=>{:decimal=>"decimal"}}
    parser.data_type.parse('float(1)').should       == {:data_type=>{:float=>{:precision=>{:integer=> '1'}}}}
    parser.data_type.parse('real').should           == {:data_type=> 'real'}
    parser.data_type.parse('double').should         == {:data_type=> 'double'}
    parser.data_type.parse('char(1)').should        == {:data_type=>{:char=>{:length=>{:integer=> '1'}}}}
    parser.data_type.parse('varchar(1)').should     == {:data_type=>{:varchar=>{:length=>{:integer=> '1'}}}}
    parser.data_type.parse('clob(50000)').should     == {:data_type=>{:clob=>{:length=>{:integer=> '50000'}}}}
    parser.data_type.parse('date').should           == {:data_type=> 'date'}
    parser.data_type.parse('time').should           == {:data_type=> 'time'}
    parser.data_type.parse('timestamp').should      == {:data_type=> 'timestamp'}
  end


  end

