require_relative '../../../spec/spec_helper'
require_relative '../../../lib/ddl_parser/translator/create_index_column'

describe 'DDLParser::Translator::CreateIndexColumn' do

  let(:unique_no_column) {
    DDLParser::Translator::CreateIndexColumn.new(
        {:index_column=> 'test_index_column',
         :sequence_no=> 5,
         :sort_type=> 'asc'
        })
  }

  let(:index_name_test) {
    DDLParser::Translator::CreateIndexColumn.new({:field=> 'test_index'})
  }

  let(:table_name) {
    DDLParser::Translator::CreateIndexColumn.new({:field=> 'table_name'})
  }

it 'must receive hash' do
  DDLParser::Translator::CreateIndexColumn.new('').to_hash.should == {}
  DDLParser::Translator::CreateIndexColumn.new({:foo => :bar}).to_hash.should == {:foo => :bar}
end

it 'should return name' do
  unique_no_column.index_column.should == 'test_index_column'
  unique_no_column.sequence_no.should == 5
  unique_no_column.sort_type.should == 'asc'
end

end
