require_relative '../../../spec/spec_helper'
require_relative '../../../lib/ddl_parser/translator/create_index_header'

describe 'DDLParser::Translator::CreateIndexHeader' do

  let(:unique_no_column) {
    DDLParser::Translator::CreateIndexHeader.new(
      [{:index_name=> 'test_index',
         :index_table=> 'on test_table',
         :table_name=> 'test_table',
         :object_property=> 'unique',
         :index_option => {:reverse_scans_property=>'allow reverse scans'}
        }, {}])
  }

  let(:index_name_test) {
    DDLParser::Translator::CreateIndexHeader.new({:field=> 'test_index'})

  }

  let(:table_name) {
    DDLParser::Translator::CreateIndexHeader.new({:field=> 'table_name'})
  }

it 'must receive Array of hashes' do
  DDLParser::Translator::CreateIndexHeader.new('').to_hash.should == {:head => {}, :columns => []}
  DDLParser::Translator::CreateIndexHeader.new([{:foo => :bar}, {:bar => :foo}]).to_hash.
        should == {:head => {:foo => :bar}, :columns => [{:bar => :foo}]}
end

it 'should return name' do
  unique_no_column.index_name.should == 'test_index'
  unique_no_column.table_name.should == 'test_table'
  unique_no_column.object_property.should == 'unique'
  unique_no_column.option_reverse_scans.should == 'Y'
end

end
